package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.vo.AppDataResourceInfoRespVO;
import com.dragoninfo.dcuc.app.vo.AppDataResourcePageVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@FeignClient(name = "dcuc-app", path = "/dcuc/app/appDataResourceInfoFacade")
public interface IAppDataResourceInfoFacade {
    /**
     * 根据查询条件查询列表
     *
     * @param searchDTO 查询条件
     * @return 数据资源列表
     */
    @PostMapping("searchList")
    List<AppDataResourceInfoRespVO> searchList(@RequestBody SearchDTO searchDTO);

    /**
     * 根据数据资源标识符查询数据资源
     *
     * @param resourceCode 数据资源标识符
     * @return 数据资源
     */
    @GetMapping("findByResourceCode")
    AppDataResourceInfoRespVO findByResourceCode(@RequestParam("resourceCode") String resourceCode);

    /**
     * 分页查询
     * @param searchDTO
     * @return
     */
    @PostMapping("pageSearch")
    Page<AppDataResourcePageVo> pageSearch(@RequestBody SearchDTO searchDTO);

    /**
     * 查看详情
     * @param id
     * @return
     */
    @GetMapping("getById/{id}")
    AppDataResourceInfoRespVO getById(@PathVariable("id") String id);

    /**
     * 删除
     * @param id
     * @return
     */
    @DeleteMapping("deleteById/{id}")
    ResponseStatus deleteById(@PathVariable("id") String id);
}
