package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 应用资源DTO
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
public class AppResourceDTO extends ResourceDTO implements Serializable {
    /**
     * 应用编码
     */
    private String appCode;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用访问地址
     */
    private String appUrl;

    /**
     * 应用状态
     */
    private String appStatus;

    /**
     * 应用类别
     */
    private String applyCategory;

    /**
     * 所属警种类别
     */
    private String policeSpecies;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 应用授权码
     */
    private String appSecret;

    /**
     * 应用系统运维单位名称
     */
    private String appOpsDepName;

    /**
     * 应用系统事权单位代码
     */
    private String orgCode;

    /**
     * 应用英文名称
     */
    private String appEnglishName;

    /**
     * 上线日期
     */
    private String lineTime;

    /**
     * 应用系统说明
     */
    private String managerDescribe;

    /**
     * 应用关联菜单DTOs
     */
    private List<MenuResourceDTO> menusResources;

    public AppResourceDTO() {
        super();
    }

    public AppResourceDTO(String resourceId, String resourceType, String resourceProvider) {
        super(resourceId, resourceType, resourceProvider);
    }
}
