
package com.dragoninfo.dcuc.app.dto.dataresource;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateUtil;
import com.dragoninfo.dcuc.app.entity.sub.AppDataItemInfo;
import lombok.Data;

import java.util.Date;

/**
 * 数据资源表信息
 *
 * @author huangzqa
 * @date 2022/10/02
 */
@Data
public class DataResourceItemIntoDTO {

    /**
     * 字段分类代码
     */
    private String columnClassify;
    /**
     * 字段分类名称
     */
    private String columnClassifyName;
    /**
     * 字段英文名称
     */
    private String columnCode;
    /**
     * 数据项ID
     */
    private String columnId;
    /**
     * 字段中文名称
     */
    private String columnName;
    /**
     * 数据元内部标识符
     */
    private String dataElementCode;
    /**
     * 数据项标识符
     */
    private String dataItemCode;
    /**
     * 数据项编号
     */
    private String dataItemNo;
    /**
     * 数据安全级别代码
     */
    private String dataSecurityLevel;
    /**
     * 数据安全级别名称
     */
    private String dataSecurityLevelName;
    /**
     * 数据项类型代码
     */
    private String dataSourceItemType;
    /**
     * 数据项类型名称
     */
    private String dataSourceItemTypeName;

    /**
     * ???
     */
    private Boolean idItemStatus;
    /**
     * 是否失效，true/false
     */
    private Boolean invalidStatus;
    /**
     * 查询/订阅匹配方式代码
     */
    private String matchingModeCode;
    /**
     * 查询/订阅匹配方式名称
     */
    private String matchingModeName;
    /**
     * 字段性质分类代码
     */
    private String propertyClassifyCode;
    /**
     * 字段性质分类名称
     */
    private String propertyClassifyName;
    /**
     * 注册时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private String registerTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否必填，true/false
     */
    private Boolean requiredStatus;
    /**
     * 是否查询条件，true/false
     */
    private Boolean searchConditionStatus;
    /**
     * 字段敏感分类代码
     */
    private String sensitiveClassifyCode;
    /**
     * 字段敏感分类名称
     */
    private String sensitiveClassifyName;
    /**
     * 数据项集数据项英文名
     */
    private String standardDataItemCode;
    /**
     * 数据项集数据项数据长度
     */
    private String standardDataItemLength;
    /**
     * 数据项集数据项中文名
     */
    private String standardDataItemName;
    /**
     * 数据项集数据项编号
     */
    private String standardDataItemNo;
    /**
     * 数据项集数据项数据类型
     */
    private String standardDataItemType;
    /**
     * 是否订阅条件，true/false
     */
    private Boolean subscribeConditionStatus;
    /**
     * 更新时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private String updateTime;

    public AppDataItemInfo parseToAppDataItemInfo() {
        AppDataItemInfo appDataItemInfo = new AppDataItemInfo();
        BeanUtil.copyProperties(this, appDataItemInfo);
        Date registerTime = DateUtil.parse(this.registerTime, DatePattern.NORM_DATETIME_PATTERN);
        appDataItemInfo.setColumnRegisterTime(registerTime);
        Date updateTime = DateUtil.parse(this.updateTime, DatePattern.NORM_DATETIME_PATTERN);
        appDataItemInfo.setColumnUpdateTime(updateTime);
        appDataItemInfo.setCreateTime(null);
        appDataItemInfo.setUpdateTime(null);
        return appDataItemInfo;
    }

}
