package com.dragoninfo.dcuc.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 资源同步entity
 * @author mazq
 * @Description
 * @create 2020-11-25
 */
@Data
@TableName("T_RESOURCE_SYNC")
public class ResourceSync implements Serializable {

    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 外部Id
     */
    private String extId;

    /**
     * 内容（Json格式）
     */
    private String content;

    /**
     * 资源枚举类-资源id
     */
    private String resourceId;

    /**
     * 资源枚举类-资源类型
     */
    private String resourceType;

    /**
     * 资源枚举类-资源提供方
     */
    private String resourceProvider;

    /**
     * 服务资源编码
     */
    private String serviceCode;

    /**
     * 服务资源名称
     */
    private String serviceName;

    /**
     * 应用资源编码
     */
    private String appCode;

    /**
     * 应用资源名称
     */
    private String appName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 资源是否同步
     */
    private String sync;

    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;

}
