package com.dragoninfo.dcuc.app.entity.sub;

import com.baomidou.mybatisplus.annotation.*;
import com.dragonsoft.duceap.base.annotations.audit.DeletedBy;
import com.dragonsoft.duceap.base.annotations.audit.DeletedDate;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据安全等级entity
 * @author mazq
 * @date 2021/5/25
 */
@Data
@TableName("T_APP_DATA_SEC")
public class FieldSec implements Serializable {

    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 数据分级代码
     */
    private String secCode;

    /**
     * 数据分级名称
     */
    private String secName;

    /**
     * 数据授权资源类型
     */
    private String dataType;

    /**
     * 说明
     */
    private String remark;

    /**
     * 是否删除
     */
    @TableLogic
    @TableField(jdbcType = JdbcType.VARCHAR,value = "deleted", condition = "%s='0'")
    private String deleted;


    /**
     * 创建时间
     */
    @CreatedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;

    /**
     * 新增人员账号
     * 新增的字段需使用  @TableField(fill = FieldFill.INSERT)，否则无法新增
     */
    @CreatedBy
    @TableField(jdbcType = JdbcType.VARCHAR,fill = FieldFill.INSERT)
    private String createUser;

    /**
     * 修改时间
     */
    @LastModifiedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

    /**
     * 更新人账号
     */
    @LastModifiedBy
    private String updateUser;

    /**
     * 删除时间
     */
    @DeletedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date deleteTime;

    /**
     * 删除人账号
     */
    @DeletedBy
    private String deleteUser;
}
