package com.dragoninfo.dcuc.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/15
 */
@Data
@Builder
@ApiModel(value = "数据资源分级分类Vo")
public class DataResourceClassifyVo {
    @ApiModelProperty(value = "id,分级分类唯一标识")
    private String id;

    @ApiModelProperty(value = "分级分类名称")
    private String label;

    @ApiModelProperty(value = "分级分类下数据资源-树结构")
    private List<DataResourceTreeVo> nodes;

    @ApiModelProperty(value = "数据属性类型 TABLE：表 COLUMN：列")
    private String attrType;

    @ApiModelProperty(value = "最后一级节点总数量")
    private Integer total;
    /**
     * 添加无参构造器,便于调用端序列化
     */
    @Tolerate
    DataResourceClassifyVo() {}
}
