package com.dragoninfo.dcuc.app.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * kafka 配置文件
 *
 * @author huangzqa
 * @date 2020/11/5
 */
@Data
@Component
@ConfigurationProperties(prefix = "dcuc.app.kafka")
public class DcucAppKafkaConfig {

    /**
     * 应用 key
     */
    private String appKey;

    /**
     * 应用密钥
     */
    private String appSecret;
    /**
     * 服务地址
     */
    private String server;

    /**
     * 应用消息变更主题
     */
    private String appChangeTopic;

    /**
     * 厂商信息变更消息主题
     */
    private String manufacturerChangeTopic;

    /**
     * 厂商信息变更是否发送消息 默认false,true表示发送，false表示不发送
     */
    private Boolean manufacturerChangeEnable = false;
}
