package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.DataLevelDTO;
import com.dragoninfo.dcuc.app.entity.sub.DataLevel;
import com.dragoninfo.dcuc.app.service.sub.IDataLevelService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mazq
 * @date 2021/5/25
 */
@RestController
@RequestMapping(value = "/dcuc/app/dataLevelFacade")
public class DataLevelFacade implements IDataLevelFacade {

    @Autowired
    private IDataLevelService dataLevelService;


    @Override
    public ResponseStatus dataLevelAdd(DataLevelDTO dto) {
       return dataLevelService.dataLevelAdd(dto);
    }

    @Override
    public DataLevelDTO detail(String id) {
        DataLevel dataLevel = dataLevelService.getById(id);
        DataLevelDTO dto = new DataLevelDTO();
        BeanUtils.copyProperties(dataLevel, dto);
        return dto;
    }

    @Override
    public Boolean deleteById(String id) {
        return dataLevelService.deleteById(id);
    }

    @Override
    public DataLevelDTO detailByCode(String levelCode) {
        return dataLevelService.detailByCode(levelCode);
    }

    @Override
    public Page<DataLevelDTO> pageSearch(SearchDTO searchDTO) {
        return dataLevelService.pageSearch(searchDTO);
    }


}
