package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.FieldClaAcceptDTO;
import com.dragoninfo.dcuc.app.dto.sub.FieldClaDTO;
import com.dragoninfo.dcuc.app.entity.sub.FieldCla;
import com.dragoninfo.dcuc.app.enumresources.DataAuthTypeCodeEnum;
import com.dragoninfo.dcuc.app.service.sub.IFieldClaService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import com.dragonsoft.duceap.core.search.enums.SearchOperator;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author mazq
 * @date 2021/5/31
 */
@RestController
@RequestMapping(value = "/dcuc/app/fieldClaFacade")
public class FieldClaFacade implements IFieldClaFacade {

    @Autowired
    private IFieldClaService fieldClaService;

    @Override
    public ResponseStatus fieldClassifyAdd(FieldClaAcceptDTO dto) {
        return fieldClaService.fieldClassifyAdd(dto);
    }

    @Override
    public Boolean fieldClassifyUpdate(FieldClaAcceptDTO dto) {
        return fieldClaService.fieldClassifyUpdate(dto);
    }

    @Override
    public FieldClaAcceptDTO detailAllLevel(String id) {
        return fieldClaService.detailAllLevel(id);
    }

    @Override
    public FieldClaDTO getByCodeAndPath(String code, String path) {
        FieldCla fieldCla = fieldClaService.getByCodeAndPath(code, path);
        FieldClaDTO dto = new FieldClaDTO();
        BeanUtils.copyProperties(fieldCla, dto);
        return dto;
    }

    @Override
    public Boolean deleteAllLevel(String id) {
        return fieldClaService.deleteAllLevel(id);
    }

    @Override
    public List<FieldClaDTO> getLevelList(String upId, String level) {
        return fieldClaService.getLevelList(upId, level);
    }

    @Override
    public Page<FieldClaAcceptDTO> pageSearch(SearchDTO searchDTO) {
        return fieldClaService.pageSearch(searchDTO);
    }

    @Override
    public List<FieldClaDTO> getSecLevelColumn(SearchDTO searchDTO) {
        Searchable searchable = Searchable.toSearchable(searchDTO);
        searchable.addSearchFilter("dataType", SearchOperator.eq, DataAuthTypeCodeEnum.AUTH_DATA_FIELD_SEC.value);
        List<FieldCla> list = fieldClaService.findList(searchable);
        return list.stream().map(e -> {
            FieldClaDTO dto = new FieldClaDTO();
            BeanUtils.copyProperties(e, dto);
            return dto;
        }).collect(Collectors.toList());
    }
}
