package com.dragoninfo.dcuc.app.service;

import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.entity.ApplyOauth;
import com.dragonsoft.duceap.core.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * @author yica
 * @date 2018/8/10
 */

public interface IApplyOauthService extends IBaseService<ApplyOauth, String> {

    /**
     * 保存 ApplyOauth
     *
     * @param applyInfo 应用信息
     * @return 认证应用信息
     */
    ApplyOauth saveOauth(ApplyInfo applyInfo);

    /**
     * 更新应用Oauth信息
     *
     * @param applyInfo 应用信息
     * @return 认证应用信息
     */
    ApplyOauth updateOauth(ApplyInfo applyInfo);

    /**
     * 根据Map里面的条件查询数据
     *
     * @param map 条件
     * @return 信息
     */
    List<ApplyOauth> applyOauthList(Map<String, Object> map);

    /**
     * 根据Appid获取应用密钥
     * @param applyId
     * @return
     */
    ApplyOauth getByAppId(String applyId);

}
