package com.dragoninfo.dcuc.app.service;


import com.dragoninfo.dcuc.app.dto.AppResourceDTO;
import com.dragoninfo.dcuc.app.dto.ServiceResourceDTO;
import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.entity.ResourceSync;
import com.dragoninfo.dcuc.app.entity.ServiceResource;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 资源服务Service
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
public interface IResourceService {

    /**
     * 保存应用资源
     * @param dto 应用资源DTO
     * @return
     */
    ApplyInfo insertAppResource(AppResourceDTO dto);

    /**
     * 保存服务资源
     * @param dto 服务资源DTO
     * @return
     */
    ServiceResource insertServiceResource(ServiceResourceDTO dto);

    /**
     * 批量保存应用资源
     * @param list 应用资源DTOs
     * @return
     */
    List<ApplyInfo> batchInsertAppResource(List<AppResourceDTO> list);

    /**
     * 批量保存服务资源
     * @param list 服务资源DTOs
     * @return
     */
    List<ServiceResource> batchInsertServiceResource(List<ServiceResourceDTO> list);


    /**
     * 从资源同步表将应用和服务数据同步到应用表和服务资源表
     * @param resourceSyncs 资源同步数据集合
     * @return
     */
    boolean resourceSync(List<ResourceSync> resourceSyncs);

    /**
     * 分页查询服务资源
     *
     * @param searchable
     * @return
     */
    Page<ServiceResourceDTO> page(Searchable searchable);
}
