package com.dragoninfo.dcuc.app.service.sub;

import com.dragoninfo.dcuc.app.entity.sub.AppDataResourceInfo;
import com.dragoninfo.dcuc.app.vo.AppDataResourcePageVo;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
public interface IAppDataResourceInfoService {
    /**
     * 保存所有
     *
     * @param resourceInfoList 数据资源列表
     */
    void saveAll(List<AppDataResourceInfo> resourceInfoList);

    /**
     * 删除所有
     */
    void deleteAll();

    /**
     * 更新所有
     *
     * @param updateResourceInfoList 集合
     */
    void updateAll(List<AppDataResourceInfo> updateResourceInfoList);

    /**
     * 获取所有表信息
     *
     * @return
     */
    List<AppDataResourceInfo> getAllTabInfos();

    /**
     * 获取有表分类信息的所有表数据
     * @return
     */
    List<AppDataResourceInfo> getHasClassifyTables();



    /**
     * 根据查询条件查询列表
     *
     * @param searchable 查询条件
     * @return 数据资源列表
     */
    List<AppDataResourceInfo> searchList(Searchable searchable);

    /**
     * 根据数据资源标识符查询数据资源
     *
     * @param resourceCode 数据资源标识符
     * @return 数据资源
     */
    AppDataResourceInfo findByResourceCode(String resourceCode);

    /**
     * 根据id查询
     * @param ids
     * @return
     */
    List<AppDataResourceInfo> getByIds(List<String> ids);

    /**
     * 分页查询
     * @param searchDTO
     * @return
     */
    Page<AppDataResourcePageVo> pageSearch(SearchDTO searchDTO);

    /**
     * 查询详情
     * @param id
     * @return
     */
    AppDataResourceInfo getById(String id);

    /**
     * 删除
     * @param id
     */
    void deleteById(String id);
}
