DROP TABLE IF EXISTS t_app_column_relation;
CREATE TABLE t_app_column_relation
(
    id                     VARCHAR(32) NOT NULL COMMENT '编号',
    code_name              VARCHAR(90) NOT NULL COMMENT '表码名称',
    code_value             VARCHAR(90) NOT NULL COMMENT '表码值',
    column_one_class_value VARCHAR(90) NOT NULL COMMENT '字段一分类值',
    column_two_class_value VARCHAR(90) NOT NULL COMMENT '字段二分类值',
    deleted                VARCHAR(1)  NOT NULL COMMENT '是否删除',
    create_time            DATETIME    NOT NULL COMMENT '创建时间',
    update_time            DATETIME COMMENT '更新时间',
    create_user            VARCHAR(32) COMMENT '创建用户',
    update_user            VARCHAR(32) COMMENT '更新用户',
    PRIMARY KEY (id)
) COMMENT = '字段关系表';

DROP TABLE IF EXISTS t_app_data_item_info;
CREATE TABLE t_app_data_item_info
(
    id                         VARCHAR(32)  NOT NULL COMMENT '编号',
    resource_table_id                VARCHAR(255) NOT NULL COMMENT '数据资源ID',
    column_id                  VARCHAR(32)  NOT NULL COMMENT '数据项ID',
    column_code                VARCHAR(90)  NOT NULL COMMENT '字段英文名称',
    column_name                VARCHAR(90)  NOT NULL COMMENT '字段中文名称',
    column_classify            VARCHAR(32) COMMENT '字段分类代码',
    column_classify_name       VARCHAR(90) COMMENT '字段分类名称',
    data_security_level        VARCHAR(32) COMMENT '数据安全级别代码',
    data_security_level_name   VARCHAR(90) COMMENT '数据安全级别名称',
    data_item_no               VARCHAR(32) COMMENT '数据项编号',
    data_item_code             VARCHAR(90) COMMENT '数据项标识符',
    data_source_item_type      VARCHAR(32) COMMENT '数据项类型代码',
    data_source_item_type_name VARCHAR(90) COMMENT '数据项类型名称',
    data_element_code          VARCHAR(32) COMMENT '数据元内部标识符',
    standard_data_item_no      VARCHAR(32) COMMENT '数据项集数据项编号',
    standard_data_item_name    VARCHAR(90) COMMENT '数据项集数据项中文名',
    standard_data_item_code    VARCHAR(32) COMMENT '数据项集数据项英文名',
    standard_data_item_type    VARCHAR(32) COMMENT '数据项集数据项数据类型',
    standard_data_item_length  VARCHAR(90) COMMENT '数据项集数据项数据长度',
    remark                     VARCHAR(900) COMMENT '备注',
    invalid_status             VARCHAR(32) COMMENT '是否失效，true/false',
    column_register_time       DATETIME COMMENT '注册时间，格式：yyyy-MM-dd HH:mm:ss',
    column_update_time         DATETIME COMMENT '更新时间，格式：yyyy-MM-dd HH:mm:ss',
    deleted                    VARCHAR(1)   NOT NULL COMMENT '是否删除',
    create_time                DATETIME     NOT NULL COMMENT '创建时间',
    update_time                DATETIME COMMENT '更新时间',
    create_user                VARCHAR(32) COMMENT '创建用户',
    update_user                VARCHAR(32) COMMENT '更新用户',
    PRIMARY KEY (id)
) COMMENT = '数据项（字段）信息';

DROP TABLE IF EXISTS t_app_data_resource_info;
CREATE TABLE t_app_data_resource_info
(
    id                       VARCHAR(32) NOT NULL COMMENT '编号',
    data_object_id           VARCHAR(32) NOT NULL COMMENT '数据对象ID',
    resource_code            VARCHAR(90) NOT NULL COMMENT '数据资源标识符',
    resource_name            VARCHAR(90) NOT NULL COMMENT '资源名称',
    resource_version         VARCHAR(32) COMMENT '数据资源版本号',
    resource_description     VARCHAR(900) COMMENT '数据资源描述',
    table_code               VARCHAR(90) COMMENT '数据对象英文名',
    table_name               VARCHAR(90) COMMENT '数据对象中文名',
    catalog_cod              VARCHAR(90) COMMENT '数据资源目录编号',
    application_code         VARCHAR(32) COMMENT '应用系统编号',
    application_code_name    VARCHAR(90) COMMENT '应用系统名称',
    data_source_one_code     VARCHAR(32) COMMENT '一级数据来源编号',
    data_source_one_name     VARCHAR(90) COMMENT '一级数据来源名称',
    data_source_two_code     VARCHAR(32) COMMENT '二级数据来源编号',
    data_source_two_name     VARCHAR(90) COMMENT '二级数据来源名称',
    data_classification      VARCHAR(32) COMMENT '数据分级代码',
    data_classification_name VARCHAR(90) COMMENT '数据分级名称',
    standard_data_code       VARCHAR(32) COMMENT '标准数据项集编码',
    standard_data_name       VARCHAR(90) COMMENT '标准数据项集名称',
    data_classify_one_code   VARCHAR(32) COMMENT '数据组织一级分类代码',
    data_classify_one_name   VARCHAR(90) COMMENT '数据组织一级分类名称',
    data_classify_two_code   VARCHAR(32) COMMENT '数据组织二级分类代码',
    data_classify_two_name   VARCHAR(90) COMMENT '数据组织二级分类名称',
    data_label_one_code      VARCHAR(32) COMMENT '数据标签1代码',
    data_label_one_name      VARCHAR(90) COMMENT '数据标签1名称',
    data_label_two_code      VARCHAR(32) COMMENT '数据标签2代码',
    data_label_two_name      VARCHAR(90) COMMENT '数据标签2名称',
    data_label_three_code    VARCHAR(32) COMMENT '数据标签3代码',
    data_label_three_name    VARCHAR(90) COMMENT '数据标签3名称',
    data_label_four_code     VARCHAR(32) COMMENT '数据标签4代码',
    data_label_four_name     VARCHAR(90) COMMENT '数据标签4名称',
    data_label_five_code     VARCHAR(32) COMMENT '数据标签5代码',
    data_label_five_name     VARCHAR(90) COMMENT '数据标签5名称',
    resource_service_code    VARCHAR(90) COMMENT '数据资源服务编号',
    resource_status          VARCHAR(255) COMMENT '资源状态代码',
    resource_status_name     VARCHAR(32) COMMENT '资源状态名称1启动0停用2注销',
    resource_register_time   DATETIME COMMENT '注册时间，格式：yyyy-MM-dd HH:mm:ss',
    resource_update_time     DATETIME COMMENT '更新时间，格式：yyyy-MM-dd HH:mm:ss',
    authority_dept_code      VARCHAR(255) COMMENT '数据资源事权单位编号',
    authority_dept_name      VARCHAR(255) COMMENT '数据资源事权单位名称',
    manage_dept_code         VARCHAR(255) COMMENT '数据资源管理单位编号',
    manage_dept_name         VARCHAR(255) COMMENT '数据资源管理单位名称',
    is_access                VARCHAR(1) COMMENT '否开发服务1是0否',
    deleted                  VARCHAR(1)  NOT NULL COMMENT '是否删除',
    create_time              DATETIME    NOT NULL COMMENT '创建时间',
    update_time              DATETIME COMMENT '更新时间',
    create_user              VARCHAR(32) COMMENT '创建用户',
    update_user              VARCHAR(32) COMMENT '更新用户',
    PRIMARY KEY (id)
) COMMENT = '数据资源（表）信息';

