package com.dragoninfo.dcuc.app.facade;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.MediaType;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import static org.hamcrest.Matchers.containsString;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.post;
import static org.springframework.test.web.servlet.result.MockMvcResultHandlers.print;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.content;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

/**
 * @author huangzqa
 * @date 2020/10/30
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class ManufacturerInfoFacadeTest {

    String url = "/dcuc/app/manufacturerInfoFacade/";
    private MockMvc mockMvc;
    @Autowired
    private WebApplicationContext webApplicationContext;

    @Before
    public void setUp() {
        mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
    }

    @Test
    public void manufacturerInfoPage() throws Exception {
        MockHttpServletRequestBuilder requestBuilder = post(url + "manufacturerInfoPage")
                .contentType(MediaType.APPLICATION_JSON)
                .characterEncoding("UTF-8")
                .content("{\"size\":\"10\",\"page\":\"0\"}");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andDo(print());
    }

    @Test
    public void manufacturerInfoDetail() throws Exception {

        MockHttpServletRequestBuilder requestBuilder = post(url + "manufacturerInfoDetail")
                .contentType(MediaType.APPLICATION_JSON)
                .characterEncoding("UTF-8")
                .param("id", "2c90e9e1651c465901651c47edc80000");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andDo(print());
    }

    @Test
    public void saveManufacturer() {
    }

    @Test
    public void updateManufacturer() {
    }

    @Test
    public void del() {
    }

    @Test
    public void detailByCode() {
    }

    @Test
    public void getOneByName() {
    }

    @Test
    public void getOneByCodeName() throws Exception {

        MockHttpServletRequestBuilder requestBuilder = post(url + "getOneByCodeName")
                .contentType(MediaType.APPLICATION_JSON)
                .param("code", "JLXX")
                .param("manufacturerName", "厦门市巨龙信息科技有限公司")
                .characterEncoding("UTF-8");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andExpect(content().string(containsString("\"code\":\"JLXX\"")))
                .andDo(print());
    }

    @Test
    public void getAllCodeRecord() throws Exception {
        MockHttpServletRequestBuilder requestBuilder = post(url + "getAllCodeRecord")
                .contentType(MediaType.APPLICATION_JSON)
                .characterEncoding("UTF-8");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andDo(print());
    }

    @Test
    public void getAllIdNameMap() throws Exception {
        MockHttpServletRequestBuilder requestBuilder = post(url + "getAllIdNameMap")
                .contentType(MediaType.APPLICATION_JSON)
                .characterEncoding("UTF-8");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andDo(print());
    }

    @Test
    public void getAllList() throws Exception {
        MockHttpServletRequestBuilder requestBuilder = post(url + "getAllList")
                .contentType(MediaType.APPLICATION_JSON)
                .characterEncoding("UTF-8");

        mockMvc.perform(requestBuilder)
                .andExpect(status().isOk())
                .andDo(print());
    }
}